apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - namespace.yaml
  - ../../demo23-cluster
namespace: aster-x
configMapGenerator:
  - name: the-map
    behavior: merge
    literals:
      - CATALOG_API_ENDPOINT="https://federated-catalogue-api.aster-x.demo23.gxfs.fr"
      - PARTICIPANT_NAME=aster-x
      - PARENT_DOMAIN=demo23.gxfs.fr
patches:
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "aster-x.demo23.gxfs.fr"
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["aster-x.demo23.gxfs.fr"]
    target:
      kind: Ingress
      name: participant-agent
